Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.transaction.jta
Class JtaAfterCompletionSynchronization

    java.lang.Object
      org.springframework.transaction.jta.JtaAfterCompletionSynchronization

All Implemented Interfaces:
  javax.transaction.Synchronization

    public class JtaAfterCompletionSynchronization

extends java.lang.Object
implements javax.transaction.Synchronization

Adapter for a JTA Synchronization, invoking the `afterCommit` / `afterCompletion` callbacks of Spring `TransactionSynchronization` objects callbacks after the outer JTA transaction has completed. Applied when participating in an existing (non-Spring) JTA transaction.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `TransactionSynchronization.afterCommit()`, `TransactionSynchronization.afterCompletion(int)`

Constructor Summary
`JtaAfterCompletionSynchronization(java.util.List<TransactionSynchronization> synchronizations)` Create a new JtaAfterCompletionSynchronization for the given synchronization objects.

Method Summary
`void` | `afterCompletion(int status)`
`void` | `beforeCompletion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JtaAfterCompletionSynchronization

    public JtaAfterCompletionSynchronization(java.util.List<TransactionSynchronization> synchronizations)

  Create a new JtaAfterCompletionSynchronization for the given synchronization objects.

  Parameters:
    `synchronizations` - the List of TransactionSynchronization objects
  See Also:
    `TransactionSynchronization`

Method Detail

### beforeCompletion

    public void beforeCompletion()

  Specified by:
    `beforeCompletion` in interface `javax.transaction.Synchronization`

### afterCompletion

    public void afterCompletion(int status)

  Specified by:
    `afterCompletion` in interface `javax.transaction.Synchronization`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD